=== debian/changelog ===
alarmd (0.4.0) unstable; urgency=low

  * Version bump.
  * Reduce writes of data files. Fixes: NB#47023
  * Fix syntax errors in manpages.
  * Add debug logging.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon, 13 Nov 2006 13:19:44 +0200

alarmd (0.2.28) unstable; urgency=low

  * Create debug package too. Fixes: NB#46635

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Wed,  8 Nov 2006 16:19:29 +0200

alarmd (0.2.27) unstable; urgency=low

  * Add NULL check. Fixes: NB#46535

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon,  6 Nov 2006 15:08:49 +0200

alarmd (0.2.26) unstable; urgency=low

  * Fix DBus service started match string.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Wed, 25 Oct 2006 17:34:44 +0300

alarmd (0.2.25) unstable; urgency=low

  * Add more detailed match for service waiting. Fixes: NB#44955
  * Very minor cleanups.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Wed, 25 Oct 2006 13:36:04 +0300

alarmd (0.2.24) unstable; urgency=low

  * Minor cleanups. Fixes: NB#43912

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon, 23 Oct 2006 15:28:14 +0300

alarmd (0.2.23) unstable; urgency=low

  * Various cleanups. Fixes: NB#43037

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Wed, 11 Oct 2006 17:41:19 +0300

alarmd (0.2.22) unstable; urgency=low

  * Don't clear hw clock alarm on deinit.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon,  9 Oct 2006 15:56:25 +0300

alarmd (0.2.21) unstable; urgency=low

  * Launch new events -- not old ones -- when time changes.
  * Fix slist handling in AlarmdQueue time_changed method.
    Fixes: NB#42433
  * More manpages.
  * Fix segmentation fault on deinitialization.
  * Make timer plugins aware of initialization state. Fixes: NB#40727.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon,  9 Oct 2006 13:47:00 +0300

alarmd (0.2.20) unstable; urgency=low

  * Add clear used data script. Fixes: NB#41687

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Wed,  4 Oct 2006 16:07:35 +0300

alarmd (0.2.19) unstable; urgency=low

  * Show powerup dialog also on snooze. Fixes: NB#35990
  * Add ALARM_EVENT_BACK_RESCHEDULE flag.
  * Add manpages.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Wed,  4 Oct 2006 10:25:54 +0300

alarmd (0.2.18) unstable; urgency=low

  * Add ALARM_EVENT_POSTPONE_DELAYED flag.
  * Move flags from actiondialog to action.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Wed, 27 Sep 2006 15:18:00 +0300

alarmd (0.2.17) unstable; urgency=low

  * Use own retutime wrappers instead of osso-clock.
  * Separate more rpc calls to own files.
  * Use new osso-systemui-dbus-dev.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Thu, 21 Sep 2006 16:30:24 +0300

alarmd (0.2.16) unstable; urgency=low

  * Add alarm_unescape_string to libalarm.
  * Iterate all events on query, including pending ones.
  * Send 'off' messages to mce more verbosely. Fixes: NB#40414.
  * Save queue if it changes during startup.
  * When connected event is launched, wait for connection if not
    connected. Fixes: NB#30579.
  * Do some logging on error cases.
  * Fix delayed event handling in timer plugins. Fixes: NB#40680.
  * Fix dequeue event handling.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon, 18 Sep 2006 16:23:01 +0300

alarmd (0.2.15) unstable; urgency=low

  * Send original alarm time to systemui.
  * Add alarm_escape_string to libalarm.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Wed, 13 Sep 2006 10:44:22 +0300

alarmd (0.2.14) unstable; urgency=low

  * Improve recurring alarm postponing algorithm.
  * Save queue when snooze time gets changed.
  * Fix snooze on old alarms. Fixes: NB#39451.
  * Tell systemui to replay sound. Fixes: NB#36239.
  * Acknowledge pending alarms on shutdown. Fixes: NB#38636.
  * Include configuration file for osso-backup. Fixes: NB#36536.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon, 11 Sep 2006 13:23:45 +0300

alarmd (0.2.13) unstable; urgency=low

  * Improve mce communication.
  * Use powerup dialog in dbus and exec action types too. Fixes:
    NB#35990.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Thu,  7 Sep 2006 09:59:33 +0300

alarmd (0.2.12) unstable; urgency=low

  * Remove .la and .a files from package. Fixes: NB#38467.
  * Call mce with alarm dialog visibility status. Fixes: NB#39047.
  * Add NULL terminator to g_object_get call. Fixes: NB#37662.
  * Call timer plugin time_changed methods when time changes. Fixes:
    NB#38600.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Tue,  5 Sep 2006 13:45:44 +0300

alarmd (0.2.11) unstable; urgency=low

  * Fix storing the snooze time.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Wed,  2 Aug 2006 16:27:57 +0300

alarmd (0.2.10) unstable; urgency=low

  * Added set_get default snooze functions and snoozed field to
    libalarm/alarm_event_t sctruct and changed the implementation
    accordingly. Fixes: NB#35308.
  * Changed to signleton dbus bus handling. Fixes: NB#34449.
  * Fixed queue to continue working even when an alarm dialog is
    showing.
  * Added timer-interface.h to libalarm-dev package.
  * Added error reporting to libalarm.
  * Added activation flag to events.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Wed,  2 Aug 2006 10:41:13 +0300

alarmd (0.2.9) unstable; urgency=low

  * Only use retu to get device up, gtimeouts for normal timing for
    finer granularity. Fixes: NB#35183.
  * Act on time changes that pass over the alarm time. Fixes: NB#35244.
  * Change loading order of timers and queue in order to get queued
    items on right queue.
  * Fix dbus bus handling in statusbar subsystem.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Tue, 25 Jul 2006 14:20:35 +0300

alarmd (0.2.8) unstable; urgency=low

  * Add alarm_dbus.h to libalarm-dev.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Fri, 14 Jul 2006 14:05:13 +0300

alarmd (0.2.7) unstable; urgency=low


