=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
endif

configure:

build: build-stamp

build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	CFLAGS="$(CFLAGS)" $(MAKE)
	#/usr/bin/docbook-to-man debian/oad.sgml > oad.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/oad.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install --source=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit -- defaults 99 1
#	dh_installcron
#	dh_installinfo
	dh_installman
	for p in alarm_event_del alarm_event_get alarm_event_query alarmd_get_error; do \
		ln -s alarm_event_add.3.gz debian/libalarm-dev/usr/share/man/man3/$$p.3.gz ; \
	done
	for p in alarm_unescape_string alarm_unescape_string_noallog; do \
		ln -s alarm_escape_string.3.gz debian/libalarm-dev/usr/share/man/man3/$$p.3.gz ; \
	done
	ln -s alarmd_set_default_snooze.3.gz debian/libalarm-dev/usr/share/man/man3/alarmd_get_default_snooze.3.gz
	dh_link
	dh_strip --dbg-package=libalarm0
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
