## alarmd 0.4.3

=== debian/changelog ===
alarmd (0.4.3) unstable; urgency=low

  * Remove invalid sanity check. Fixes: NB#50448

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Fri,  5 Jan 2007 16:23:18 +0200

alarmd (0.4.2) unstable; urgency=low

  * Add error state to alarm_event_del.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Tue, 28 Nov 2006 13:32:00 +0200

alarmd (0.4.1) unstable; urgency=low

  * Add missing g_object_unref. Fixes: NB#47930

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon, 27 Nov 2006 17:06:10 +0200
