=== debian/rules ===
#!/usr/bin/make -f
# Copyright (C) 2006-2007 Nokia Corporation.
# Written by David Weinehall
#
# alarmd and libalarm are distributed in the hope that they will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this software; if not, write to the Free
# Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
# 02110-1301 USA

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
endif

build: build-stamp

build-stamp:
	dh_testdir

	CFLAGS="$(CFLAGS)" $(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) distclean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

binary-indep:

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_install --source=debian/tmp
	dh_installinit -- defaults 99 1
	dh_installman
	# Install man page symlinks to alarm_event_add
	for p in alarm_event_del alarm_event_get alarm_event_query alarmd_get_error; do \
		ln -s alarm_event_add.3.gz debian/libalarm-dev/usr/share/man/man3/$$p.3.gz ; \
	done
	# Install man page symlinks to alarm_escape_string
	for p in alarm_unescape_string alarm_unescape_string_noallog; do \
		ln -s alarm_escape_string.3.gz debian/libalarm-dev/usr/share/man/man3/$$p.3.gz ; \
	done
	# Install man page symlink to alarmd_set_default_snooze
	ln -s alarmd_set_default_snooze.3.gz debian/libalarm-dev/usr/share/man/man3/alarmd_get_default_snooze.3.gz
	dh_link
	dh_strip --dbg-package=libalarm0
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep
.PHONY: build clean binary-arch binary-indep binary install
