=== debian/changelog ===
alarmd (0.5.18) unstable; urgency=low

  * Make sure snoozed alarms get scheduled first. Fixes: NB#74394

 -- Philippe De Swert <philippe.de-swert@nokia.com>  Fri, 16 Nov 2007 13:20:08 +0200

alarmd (0.5.17) unstable; urgency=low

  * Fix some potential double frees. Fixes: NB#69718
  * Check g_shell_parse_argv return value instead of the pointer.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Tue, 18 Sep 2007 12:33:34 +0300
