## alarmd 1.1.11%2b0m5

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: sh -*- -----------------------------------------------
# Debian rules for building alarmd
# ----------------------------------------------------------------
#
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

.PHONY: build clean realclean install configure\
	binary-indep binary-arch binary

build:: build-stamp

binary:: binary-indep binary-arch

realclean:: clean

configure::
# nothing to do

#----------------------------------------------------------------
# compiling the software

build-stamp: configure
	dh_testdir
	touch $@

clean::
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean

#----------------------------------------------------------------
# debian cleanup
clean::
	dh_testdir
	dh_testroot
	dh_clean

#----------------------------------------------------------------
# installation

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) debian-files
	$(MAKE) install-alarmd       ROOT=debian/alarmd
	$(MAKE) install-libalarm     ROOT=debian/libalarm2
	$(MAKE) install-libalarm-dev ROOT=debian/libalarm-dev
	$(MAKE) install-libalarm-doc ROOT=debian/libalarm-doc
	$(MAKE) install-alarmclient  ROOT=debian/alarmclient

#----------------------------------------------------------------
# architecture-independent files -> DEBIAN dirs

binary-indep: install
# nothing to do

#----------------------------------------------------------------
# architecture-dependent files -> DEBIAN dirs

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
#	dh_installexamples
	dh_install -s
	dh_installman
	# Note: clockd must be started before alarmd
	dh_installinit -- defaults 37 63
	dh_link
	dh_strip --dbg-package=alarmd\
	         --dbg-package=alarmclient\
	         --dbg-package=libalarm2
	dh_compress
	dh_fixperms
	dh_makeshlibs
# 	dh_pysupport
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
